import { commonLight } from '../../_styles/common';
import { scrollbarLight } from '../../_internal/scrollbar/styles';
import { createTheme } from '../../_mixins';
export const self = (vars) => {
    const { modalColor, textColor1, textColor2, boxShadow3, lineHeight, fontWeightStrong, dividerColor, closeColorHover, closeColorPressed, closeIconColor, closeIconColorHover, closeIconColorPressed, borderRadius, primaryColorHover } = vars;
    return {
        bodyPadding: '16px 24px',
        headerPadding: '16px 24px',
        footerPadding: '16px 24px',
        color: modalColor,
        textColor: textColor2,
        titleTextColor: textColor1,
        titleFontSize: '18px',
        titleFontWeight: fontWeightStrong,
        boxShadow: boxShadow3,
        lineHeight,
        headerBorderBottom: `1px solid ${dividerColor}`,
        footerBorderTop: `1px solid ${dividerColor}`,
        closeIconColor,
        closeIconColorHover,
        closeIconColorPressed,
        closeSize: '22px',
        closeIconSize: '18px',
        closeColorHover,
        closeColorPressed,
        closeBorderRadius: borderRadius,
        resizableTriggerColorHover: primaryColorHover
    };
};
const drawerLight = createTheme({
    name: 'Drawer',
    common: commonLight,
    peers: {
        Scrollbar: scrollbarLight
    },
    self
});
export default drawerLight;
